Subject: bug#47771: 27.1; `Info-read-node-name` throws error during completion

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 06 May 2021 11:26:04 +0200

Daniel Mendler <[email-masked]> writes:

> Thank you. There is one additional issue I missed in the bug report. If
> you call `Info-build-node-completions` with a file without info tags, it
> will also throw an error. So maybe it would be better to wrap
> `(Info-build-node-completions (Info-find-file file1 nil t))` with
> `ignore-errors`?

Slapping an `ignore-errors' around all that code feels a bit excessive
(it makes debugging hard), so I've instead made
`Info-build-node-completions' a bit more resilient -- it'll catch errors
from `Info-goto-node' instead.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no